package cn.ibizlab.humanresource.core.humanresource.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.humanresource.core.humanresource.domain.HRDutyCert;
import cn.ibizlab.humanresource.core.humanresource.filter.HRDutyCertSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[HRDutyCert] 服务对象接口
 */
public interface IHRDutyCertService extends IService<HRDutyCert>{

    boolean create(HRDutyCert et) ;
    void createBatch(List<HRDutyCert> list) ;
    boolean update(HRDutyCert et) ;
    void updateBatch(List<HRDutyCert> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    HRDutyCert get(String key) ;
    HRDutyCert getDraft(HRDutyCert et) ;
    boolean checkKey(HRDutyCert et) ;
    boolean save(HRDutyCert et) ;
    void saveBatch(List<HRDutyCert> list) ;
    Page<HRDutyCert> searchDefault(HRDutyCertSearchContext context) ;
    List<HRDutyCert> selectByHrdutyid(String hrdutyid) ;
    void removeByHrdutyid(String hrdutyid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<HRDutyCert> getHrdutycertByIds(List<String> ids) ;
    List<HRDutyCert> getHrdutycertByEntities(List<HRDutyCert> entities) ;
}


